/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.controller
 *  ファイル：AxisDAO.java
 *  説明：
 *
 *  作成日: 2004/01/13
 */
package openolap.viewer.dao;

import java.sql.Connection;
import java.sql.SQLException;

import openolap.viewer.Axis;
import openolap.viewer.Report;
import openolap.viewer.common.CommonSettings;
import openolap.viewer.controller.RequestHelper;

/**
 *  インターフェース：AxisDAO
 *  説明：
 */
public interface AxisDAO {

	public void registSelectedMemberAndDrillStat(RequestHelper helper, CommonSettings commonSettings);
	public void registDefaultMember(RequestHelper helper, CommonSettings commonSettings);
	public void saveAxis(Report report, Connection conn) throws SQLException;
	public void applyAxis(Report report, CommonSettings commonSettings, Connection conn) throws SQLException;
	public void deleteAxes(Report report, Connection conn) throws SQLException;
	public void deleteAxis(Report report, Axis axis, Connection conn) throws SQLException;
	
}
